Classes | Namespaces | Enumerations
types.h File Reference
`#include "../version.h"`

Go to the source code of this file.

## Classes
struct | SchemeTypeTraits
| Traits associated the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined on the scheme itself. More...

## Namespaces
| OpenSubdiv
| OpenSubdiv::OPENSUBDIV_VERSION
| OpenSubdiv::OPENSUBDIV_VERSION::Sdc

## Enumerations
enum | SchemeType { SCHEME_BILINEAR, SCHEME_CATMARK, SCHEME_LOOP }
| Enumerated type for all subdivisions schemes supported by OpenSubdiv. More...
enum | Split { SPLIT_TO_QUADS, SPLIT_TO_TRIS, SPLIT_HYBRID }
| Enumerated type for all face splitting scheme. More...